Skip to main content
PATCH
/
deployments
/
{deployment_id}
/
oauth
/
apps
/
{oauth_app_slug}
/
clients
/
{oauth_client_id}
Update OAuth client
curl --request PATCH \
  --url https://api.wacht.dev/deployments/{deployment_id}/oauth/apps/{oauth_app_slug}/clients/{oauth_client_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "client_auth_method": "<string>",
  "grant_types": [
    "<string>"
  ],
  "redirect_uris": [
    "<string>"
  ],
  "token_endpoint_auth_signing_alg": "<string>",
  "jwks_uri": "<string>",
  "public_key_pem": "<string>"
}
'
{
  "id": "<string>",
  "oauth_app_id": "<string>",
  "client_id": "<string>",
  "client_auth_method": "<string>",
  "grant_types": [
    "<string>"
  ],
  "redirect_uris": [
    "<string>"
  ],
  "token_endpoint_auth_signing_alg": "<string>",
  "jwks_uri": "<string>",
  "jwks": {
    "keys": [
      {
        "kty": "<string>",
        "kid": "<string>",
        "use": "<string>",
        "key_ops": [
          "<string>"
        ],
        "alg": "<string>",
        "n": "<string>",
        "e": "<string>",
        "crv": "<string>",
        "x": "<string>",
        "y": "<string>",
        "x5u": "<string>",
        "x5c": [
          "<string>"
        ],
        "x5t": "<string>",
        "x5t#S256": "<string>"
      }
    ]
  },
  "public_key_pem": "<string>",
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication (format: Bearer {api_key})

Path Parameters

deployment_id
string
required

Deployment ID

oauth_app_slug
string
required

OAuth app slug

oauth_client_id
string
required

OAuth client ID

Body

application/json
client_auth_method
string
grant_types
string[]
redirect_uris
string[]
token_endpoint_auth_signing_alg
string | null
jwks_uri
string | null
jwks
object
public_key_pem
string | null

Response

200 - application/json

OAuth client updated

id
string
oauth_app_id
string
client_id
string
client_auth_method
string
grant_types
string[]
redirect_uris
string[]
token_endpoint_auth_signing_alg
string | null
jwks_uri
string | null
jwks
object
public_key_pem
string | null
is_active
boolean
created_at
string<date-time>
updated_at
string<date-time>